com.holonplatform.vaadin.flow.components.builders

## Interface FormLayoutConfigurator<C extends FormLayoutConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<C>, HasComponentsConfigurator<C>, HasElementConfigurator<C>, HasEnabledConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>
  All Known Subinterfaces:
    FormLayoutBuilder, FormLayoutConfigurator.BaseFormLayoutConfigurator

      public interface FormLayoutConfigurator<C extends FormLayoutConfigurator<C>>
      extends HasComponentsConfigurator<C>, HasStyleConfigurator<C>, HasSizeConfigurator<C>, ComponentConfigurator<C>

  Configurator for `FormLayout` type components.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `FormLayoutConfigurator.BaseFormLayoutConfigurator` Base configurator.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FormLayoutConfigurator.BaseFormLayoutConfigurator` | `configure(com.vaadin.flow.component.formlayout.FormLayout component)` Get a new `FormLayoutConfigurator` for given component.
    `default C` | `responsiveSteps(com.vaadin.flow.component.formlayout.FormLayout.ResponsiveStep... steps)` Configure the responsive steps used in this layout.
    `C` | `responsiveSteps(List<com.vaadin.flow.component.formlayout.FormLayout.ResponsiveStep> steps)` Configure the responsive steps used in this layout.
    `default C` | `withFormItem(com.vaadin.flow.component.Component field, com.vaadin.flow.component.Component label)` Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.
    `C` | `withFormItem(com.vaadin.flow.component.Component field, com.vaadin.flow.component.Component label, Consumer<com.vaadin.flow.component.formlayout.FormLayout.FormItem> formItem)` Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.
    `default C` | `withFormItem(com.vaadin.flow.component.Component field, String label)` Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.
    `C` | `withFormItem(com.vaadin.flow.component.Component field, String label, Consumer<com.vaadin.flow.component.formlayout.FormLayout.FormItem> formItem)` Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.
    `default C` | `withFormItem(HasComponent field, com.vaadin.flow.component.Component label)` Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.
    `default C` | `withFormItem(HasComponent field, com.vaadin.flow.component.Component label, Consumer<com.vaadin.flow.component.formlayout.FormLayout.FormItem> formItem)` Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.
    `default C` | `withFormItem(HasComponent field, String label)` Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.
    `default C` | `withFormItem(HasComponent field, String label, Consumer<com.vaadin.flow.component.formlayout.FormLayout.FormItem> formItem)` Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasComponentsConfigurator

      `add, add`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

- - ### Method Detail

    - #### responsiveSteps

          C responsiveSteps(List<com.vaadin.flow.component.formlayout.FormLayout.ResponsiveStep> steps)

      Configure the responsive steps used in this layout.
      Parameters:
        `steps` - list of `FormLayout.ResponsiveStep`s to set
      Returns:
        this
      See Also:
        `FormLayout.ResponsiveStep`

    - #### responsiveSteps

          default C responsiveSteps(com.vaadin.flow.component.formlayout.FormLayout.ResponsiveStep... steps)

      Configure the responsive steps used in this layout.
      Parameters:
        `steps` - list of `FormLayout.ResponsiveStep`s to set
      Returns:
        this
      See Also:
        `FormLayout.ResponsiveStep`

    - #### withFormItem

          C withFormItem(com.vaadin.flow.component.Component field,
                         com.vaadin.flow.component.Component label,
                         Consumer<com.vaadin.flow.component.formlayout.FormLayout.FormItem> formItem)

      Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.
      Parameters:
        `field` - the field component to wrap
        `label` - the label component to set
        `formItem` - Optional `Consumer` to configure the created `FormLayout.FormItem` instance
      Returns:
        this

    - #### withFormItem

          default C withFormItem(HasComponent field,
                                 com.vaadin.flow.component.Component label,
                                 Consumer<com.vaadin.flow.component.formlayout.FormLayout.FormItem> formItem)

      Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.
      Parameters:
        `field` - the field component to wrap (not null)
        `label` - the label component to set
        `formItem` - Optional `Consumer` to configure the created `FormLayout.FormItem` instance
      Returns:
        this

    - #### withFormItem

          default C withFormItem(com.vaadin.flow.component.Component field,
                                 com.vaadin.flow.component.Component label)

      Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.
      Parameters:
        `field` - the field component to wrap
        `label` - the label component to set
      Returns:
        this

    - #### withFormItem

          default C withFormItem(HasComponent field,
                                 com.vaadin.flow.component.Component label)

      Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.
      Parameters:
        `field` - the field component to wrap
        `label` - the label component to set
      Returns:
        this

    - #### withFormItem

          C withFormItem(com.vaadin.flow.component.Component field,
                         String label,
                         Consumer<com.vaadin.flow.component.formlayout.FormLayout.FormItem> formItem)

      Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.
      Parameters:
        `field` - the field component to wrap
        `label` - the label text to set
        `formItem` - Optional `Consumer` to configure the created `FormLayout.FormItem` instance
      Returns:
        this

    - #### withFormItem

          default C withFormItem(HasComponent field,
                                 String label,
                                 Consumer<com.vaadin.flow.component.formlayout.FormLayout.FormItem> formItem)

      Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.
      Parameters:
        `field` - the field component to wrap
        `label` - the label text to set
        `formItem` - Optional `Consumer` to configure the created `FormLayout.FormItem` instance
      Returns:
        this

    - #### withFormItem

          default C withFormItem(com.vaadin.flow.component.Component field,
                                 String label)

      Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.
      Parameters:
        `field` - the field component to wrap
        `label` - the label text to set
      Returns:
        this

    - #### withFormItem

          default C withFormItem(HasComponent field,
                                 String label)

      Create and add a new `FormLayout.FormItem` to this layout that wraps the given field with a label.
      Parameters:
        `field` - the field component to wrap
        `label` - the label text to set
      Returns:
        this

    - #### configure

          static FormLayoutConfigurator.BaseFormLayoutConfigurator configure(com.vaadin.flow.component.formlayout.FormLayout component)

      Get a new `FormLayoutConfigurator` for given component.
      Parameters:
        `component` - The component to configure (not null)
      Returns:
        A new `FormLayoutConfigurator`

Copyright © 2020 The Holon Platform. All rights reserved.